MKNETID(8)

NAME
mknetid - generate data for netid map

SYNOPSIS

/usr/lib/yp/mknetid [-q] [-h hosts] [-p passwd] [-g group] [-d domain] [-n netid]

/usr/lib/yp/mknetid --version

DESCRIPTION

mknetid generates the netid.byname NIS map from the contents of the group(5), passwd(5), hosts(5) and netid files. It checks for multiple entrys of netids and warn for them or filters them out. It is only called by /var/yp/Makefile when rebuilding the NIS map.

OPTIONS

-q
    This flag turns on 'quiet' mode, don't print a warning message when finding an duplicate netid entry.

-h hosts
    The -h flag can be used to specify the use of another hosts file than the default /etc/hosts.

-p passwd
    The -p flag can be used to specify the use of another passwd file than the default /etc/passwd.

-g group
    The -g flag can be used to specify the use of another group file than the default /etc/group.

-n netid
    The -n flag can be used to specify the use of another netid file than the default /etc/netid.

-d domain
    The mknetid command uses the system domainname by default. If it is not set or you whish to override it, you must use the -d parameter.

--version
    Prints the version number

FILES

/etc/group
    groups file

/etc/hosts
    hosts database

/etc/netid
    netname database

/etc/passwd
    password file

SEE ALSO

passwd(8), group(5), hosts(5), passwd(5)

AUTHOR

mknetid was written by Thorsten Kukuk <kukuk@linux-nis.org>.